
  function loadLevel()
        level = {}
        for y, row in ipairs(levels[nLevel]) do
            level[y] = {}
            for x, cell in ipairs(row) do
                level[y][x] = cell
            end
        end
    end


function draw_level()

--love.graphics.draw(bckfish1img,80,230,0,0.4)
--love.graphics.draw(bckfish1img,520,250,0,-0.15,0.15)
    for y, row in ipairs(level) do
        for x, cell in ipairs(row) do
            if cell ~= empty then
                

                    local colors = {
                    --[fish1] = {0.64, 0.53, 1},
                    --[fish1body] = {0.64, 0.53, 1},
                    --[fish2] = {0, 0, 1},
                    --[fish2body] = {0, 0, 1},
                    --[chair1] = {0.5, 0.5, 0},
                    --[table] = {0.62, 0.47, 1},
                    --[chair2] = {1, 0.79, 0.49},
                    --[steelbar] = {0.59, 1, 0.5},
                    --[cushion] = {0.61, 0.9, 1},
                    [wall] = {0.6, 0.58, 0.2},
                    --[obj1] = {0.29,0.43,0.83},
                    --[obj2] = {0.9,0.43,0.83},
                    [empty] = {0.146, 0.73, 0.73},
                }

				
                love.graphics.setColor(colors[cell])
				
				--cell3d = g3d.newModel("assets/players/cube.obj", "assets/levels/level1/bckfish1.png", {y-1,x-1,0}, nil, {0.5,0.5,0.5})
                love.graphics.rectangle('fill',(x - 1) * cellWidth, (y - 1) * cellHeight,cellSize,cellSize-15)
                
                
                if debugmode=="yes" then 
                love.graphics.setColor(1, 1, 1)
                love.graphics.print(level[y][x],(x - 1) * cellWidth,(y - 1) * cellHeight)
                
                else
				love.graphics.setColor(1, 1, 1)
                love.graphics.print(
                    " ",
                    (x - 1) * cellWidth,
                    (y - 1) * cellHeight
                )
				end
				

            end
        end
    end
    
     
end
