local level = {}


level.name = 'level-4'

-- first cell is map[1][1], top left corner
level.map = 
{
{2,2,2,2,2,2,2,2,3,3,3,1,1,1,1,1,1,1,1,1,1},
{2,0,0,0,0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1},
{2,0,0,0,0,0,0,0,0,0,0,3,3,3,1,1,1,1,1,1,1},
{2,0,0,0,0,3,3,0,0,0,0,3,0,0,3,1,1,1,1,1,1},
{2,0,0,3,3,3,0,0,0,0,0,0,0,0,3,1,1,1,1,1,1},
{3,3,3,1,1,3,0,0,0,0,0,0,0,0,3,1,1,1,1,1,1},
{1,1,1,1,3,0,0,0,0,0,0,0,0,0,3,1,1,1,1,1,1},
{1,1,1,1,1,3,3,3,3,0,0,0,0,0,3,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,3,0,0,0,0,3,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,3,0,0,0,0,3,1,1,1,1,1,1},
{1,1,1,1,1,1,1,3,3,0,0,0,0,0,3,1,1,1,1,1,1},
{1,1,1,1,1,1,3,0,0,0,0,0,0,0,3,1,1,1,1,1,1},
{1,1,1,1,1,3,0,0,0,0,0,0,0,0,3,1,1,1,1,1,1},
{1,1,1,1,3,0,0,0,0,0,0,0,0,0,3,1,1,1,1,1,1},
{1,1,1,3,0,0,0,0,0,3,0,0,0,0,3,1,1,1,1,1,1},
{1,3,3,3,0,0,0,0,0,3,0,0,0,0,3,1,1,3,1,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,3,1,3,0,3,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,3,3,0,0,0,3,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,3,0,0,0,0,3,1},
{1,3,3,3,0,0,0,0,0,3,0,0,0,0,0,0,3,3,1,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,3,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,3,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,3,1,1},
{1,3,3,3,0,0,0,0,0,3,0,0,0,0,0,3,3,3,1,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,3,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,3,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,3,1,1},
{1,3,3,3,0,0,0,0,0,3,0,0,0,0,0,0,3,3,1,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,3,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,3,1,1},
{3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,3,1,1},
{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,3,3,1,1,1},
{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,1},
{3,0,3,0,0,0,0,0,0,0,3,3,3,0,0,0,0,0,3,1,1},
{1,3,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,1},
{1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
}

level.blocks = 
{
{name = 'sPipe',
	heavy = false,
	x = 9,
	y = 6,
	form = 
		{
			{0,1,1},
			{1,1,0},
		},
	},

{name = 'cpipe',
	heavy = true,
	x = 9,
	y = 12,
	form = 
		{
			{1,1},
			{0,1},
			{1,1},
			
		},
	},
	
	{name = 'book1',
	heavy = false,
	x = 2,
	y = 17,
	form = 
		{
			{1},
			{1},
			{1},
		},
	},
	
	{name = 'book2',
	heavy = false,
	x = 3,
	y = 17,
	form = 
		{
			{1},
			{1},
			{1},
		},
	},
	
	{name = 'book3',
	heavy = false,
	x = 3,
	y = 21,
	form = 
		{
			{1},
			{1},
			{1},
		},
	},
	{name = 'map1',
	heavy = false,
	x = 17,
	y = 21,
	form = 
		{
			{1},
			{1},
			{1},
		},
	},
{name = 'booksmall1',
	heavy = false,
	x = 2,
	y = 26,
	form = 
		{
			{1},
			{1},
		},
	},
{name = 'bookhoriz1',
	heavy = false,
	x = 4,
	y = 23,
	form = 
		{
			{1,1,1},
		},
	},
{name = 'bookhoriz2',
	heavy = false,
	x = 17,
	y = 19,
	form = 
		{
			{1,1,1},
		},
	},
	
{name = 'bookbig1',
	heavy = false,
	x = 17,
	y = 25,
	form = 
		{
			{1,1},
			{1,1},
			{1,1},
		},
	},
{name = 'book4',
	heavy = false,
	x = 16,
	y = 21,
	form = 
		{
			{1},
			{1},
			{1},
		},
	},
{name = 'booksmall2',
	heavy = false,
	x = 18,
	y = 30,
	form = 
		{
			{1},
			{1},
		},
	},
{name = 'booksmall3',
	heavy = false,
	x = 18,
	y = 34,
	form = 
		{
			{1},
			{1},
		},
	},
{name = 'book5',
	heavy = false,
	x = 16,
	y = 29,
	form = 
		{
			{1},
			{1},
			{1},	
		},
	},
	
{name = 'book6',
	heavy = false,
	x = 17,
	y = 29,
	form = 
		{
			{1},
			{1},
			{1},
		},
	},
{name = 'book7',
	heavy = false,
	x = 17,
	y = 33,
	form = 
		{
			{1},
			{1},
			{1},
		},
	},
{name = 'book8',
	heavy = false,
	x = 3,
	y = 31,
	form = 
		{
			{1},
			{1},
			{1},
		},
	},
{name = 'book9',
	heavy = false,
	x = 4,
	y = 25,
	form = 
		{
			{1},
			{1},
			{1},
		},
	},
	
}
level.agents = 
{
	{name = 'fish-3x1',
	fish = true,
	heavy = false,
	x = 6,
	y = 28,
	form = 
		{
			{1,1,1},
		},
	},
	
	
	{name = 'fish-4x2',
	fish = true,
	heavy = true,
	x = 5,
	y = 29,
	form = 
		{
			{1,1,1,1},
			{1,1,1,1},
		},
	},
}

-- prepare level

-- prepare map

level.w = 0 -- map width in tiles (same as highest x)
level.h = #level.map -- map height in tiles
for y, xs in ipairs (level.map) do
	for x, value in ipairs (xs) do
		if value == 1 then
			-- now value is true
			level.map[y][x] = true
			if level.w < x then level.w = x end
		elseif value==0 then
			-- now value is false
			level.map[y][x] = false
		elseif value==2 then
		level.map[y][x] = "exit"
		elseif value==3 then
		level.map[y][x] = "border"
		end
	end
end

for i, block in ipairs (level.blocks) do
	local w, h = 0, 0
	block.tiles = {}
	for y, xs in ipairs (block.form) do
		for x, value in ipairs (xs) do
			if value == 1 then
				table.insert (block.tiles, x-1) -- beware of -1
				table.insert (block.tiles, y-1)
				if w < x then w = x end
				if h < y then h = y end
			end
		end
	end
	block.w = w
	block.h = h
end

for i, agent in ipairs (level.agents) do
	local w, h = 0, 0
	agent.tiles = {}
	for y, xs in ipairs (agent.form) do
		for x, value in ipairs (xs) do
			if value == 1 then
				table.insert (agent.tiles, x-1) -- beware of -1
				table.insert (agent.tiles, y-1)
				if w < x then w = x end
				if h < y then h = y end
			end
		end
	end
	agent.w = w
	agent.h = h
	if not agent.direction then
		agent.direction = "right"
--		agent.direction = "left"
	end
end


return level
