local level = {}


level.name = 'level-60'

-- first cell is map[1][1], top left corner
level.map = 
{	
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,0,0,0,0,1,1},
{1,1,0,0,0,0,0,0,1,1,1,1,0,0,0,1,1,0,0,1,1,1,1,0,0,0,0,1,1},
{1,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,1,1},
{1,1,1,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,1},
{1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1},
{1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1},
{1,1,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1},
{1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,1},
{1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,1},
{1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,1},
{1,1,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0},
{1,1,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0},
{1,1,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0},
{1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1},
{1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
}

level.blocks = 
{
	{name = '1',
	heavy = false,
	x = 9,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '2',
	heavy = false,
	x = 10,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '3',
	heavy = false,
	x = 11,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '4',
	heavy = false,
	x = 12,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '5',
	heavy = false,
	x = 13,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '6',
	heavy = false,
	x = 14,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '7',
	heavy = false,
	x = 15,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '8',
	heavy = false,
	x = 16,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '9',
	heavy = false,
	x = 17,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '10',
	heavy = false,
	x = 18,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '11',
	heavy = false,
	x = 19,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '12',
	heavy = false,
	x = 20,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '13',
	heavy = false,
	x = 21,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '14',
	heavy = false,
	x = 22,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '15',
	heavy = false,
	x = 23,
	y = 6,
	form = 
		{
			{1},
		},
	},
		{name = '16',
	heavy = false,
	x = 9,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '17',
	heavy = false,
	x = 10,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '18',
	heavy = false,
	x = 11,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '19',
	heavy = false,
	x = 12,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '20',
	heavy = false,
	x = 13,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '21',
	heavy = false,
	x = 14,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '22',
	heavy = false,
	x = 15,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '23',
	heavy = false,
	x = 16,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '24',
	heavy = false,
	x = 17,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '25',
	heavy = false,
	x = 18,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '26',
	heavy = false,
	x = 19,
	y = 7,
	form = 
		{
			{1},
		},
	},
		{name = '27',
	heavy = false,
	x = 20,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '28',
	heavy = false,
	x = 21,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '29',
	heavy = false,
	x = 22,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '30',
	heavy = false,
	x = 23,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '31',
	heavy = false,
	x = 9,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '32',
	heavy = false,
	x = 10,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '33',
	heavy = false,
	x = 11,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '34',
	heavy = false,
	x = 12,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '35',
	heavy = false,
	x = 13,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '36',
	heavy = false,
	x = 14,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '37',
	heavy = false,
	x = 15,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '38',
	heavy = false,
	x = 16,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '39',
	heavy = false,
	x = 17,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '40',
	heavy = false,
	x = 18,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '41',
	heavy = false,
	x = 19,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '42',
	heavy = false,
	x = 20,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '43',
	heavy = false,
	x = 21,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '44',
	heavy = false,
	x = 22,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '45',
	heavy = false,
	x = 23,
	y = 7,
	form = 
		{
			{1},
		},
	},
	{name = '46',
	heavy = false,
	x = 9,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '47',
	heavy = false,
	x = 10,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '48',
	heavy = false,
	x = 11,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '49',
	heavy = false,
	x = 12,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '50',
	heavy = false,
	x = 13,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '51',
	heavy = false,
	x = 14,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '52',
	heavy = false,
	x = 15,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '53',
	heavy = false,
	x = 16,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '54',
	heavy = false,
	x = 17,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '55',
	heavy = false,
	x = 18,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '56',
	heavy = false,
	x = 19,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '57',
	heavy = false,
	x = 20,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '58',
	heavy = false,
	x = 21,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '59',
	heavy = false,
	x = 22,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '60',
	heavy = false,
	x = 23,
	y = 9,
	form = 
		{
			{1},
		},
	},
	{name = '61',
	heavy = false,
	x = 9,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '62',
	heavy = false,
	x = 10,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '63',
	heavy = false,
	x = 11,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '64',
	heavy = false,
	x = 12,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '65',
	heavy = false,
	x = 13,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '66',
	heavy = false,
	x = 14,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '67',
	heavy = false,
	x = 15,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '68',
	heavy = false,
	x = 16,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '69',
	heavy = false,
	x = 17,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '70',
	heavy = false,
	x = 18,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '71',
	heavy = false,
	x = 23,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '72',
	heavy = false,
	x = 9,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '73',
	heavy = false,
	x = 10,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '74',
	heavy = false,
	x = 14,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '75',
	heavy = false,
	x = 15,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '76',
	heavy = false,
	x = 16,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '77',
	heavy = false,
	x = 17,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '78',
	heavy = false,
	x = 18,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '79',
	heavy = false,
	x = 23,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '80',
	heavy = false,
	x = 9,
	y = 12,
	form = 
		{
			{1},
		},
	},
	{name = '81',
	heavy = false,
	x = 10,
	y = 12,
	form = 
		{
			{1},
		},
	},
	{name = '82',
	heavy = false,
	x = 11,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '83',
	heavy = false,
	x = 12,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '84',
	heavy = false,
	x = 13,
	y = 11,
	form = 
		{
			{1},
		},
	},
	{name = '85',
	heavy = false,
	x = 14,
	y = 12,
	form = 
		{
			{1},
		},
	},
	{name = '86',
	heavy = false,
	x = 15,
	y = 12,
	form = 
		{
			{1},
		},
	},
	{name = '87',
	heavy = false,
	x = 16,
	y = 12,
	form = 
		{
			{1},
		},
	},
	{name = '88',
	heavy = false,
	x = 17,
	y = 12,
	form = 
		{
			{1},
		},
	},
	{name = '89',
	heavy = false,
	x = 18,
	y = 12,
	form = 
		{
			{1},
		},
	},
	{name = '90',
	heavy = false,
	x = 19,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '91',
	heavy = false,
	x = 20,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '92',
	heavy = false,
	x = 21,
	y = 10,
	form = 
		{
			{1},
		},
	},
	{name = '93',
	heavy = false,
	x = 23,
	y = 12,
	form = 
		{
			{1},
		},
	},
	{name = '94',
	heavy = false,
	x = 9,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '95',
	heavy = false,
	x = 10,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '96',
	heavy = false,
	x = 11,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '97',
	heavy = false,
	x = 12,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '98',
	heavy = false,
	x = 13,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '99',
	heavy = false,
	x = 14,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '100',
	heavy = false,
	x = 15,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '101',
	heavy = false,
	x = 16,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '102',
	heavy = false,
	x = 17,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '103',
	heavy = false,
	x = 18,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '104',
	heavy = false,
	x = 19,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '105',
	heavy = false,
	x = 20,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '106',
	heavy = false,
	x = 21,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '107',
	heavy = false,
	x = 22,
	y = 13,
	form = 
		{
			{1},
		},
	},
	{name = '108',
	heavy = false,
	x = 23,
	y = 13,
	form = 
		{
			{1},
		},
	},
	
}
level.agents = 
{
	{name = 'fish-3x1',
	fish = true,
	heavy = false,
	x = 11,
	y = 12,
	form = 
		{
			{1,1,1},
		},
	},
	
	
	{name = 'fish-4x2',
	fish = true,
	heavy = true,
	x = 19,
	y = 11,
	form = 
		{
			{1,1,1,1},
			{1,1,1,1},
		},
	},
}

-- prepare level

-- prepare map

level.w = 0 -- map width in tiles (same as highest x)
level.h = #level.map -- map height in tiles
for y, xs in ipairs (level.map) do
	for x, value in ipairs (xs) do
		if value == 1 then
			-- now value is true
			level.map[y][x] = true
			if level.w < x then level.w = x end
		elseif value==0 then
			-- now value is false
			level.map[y][x] = false
		elseif value==2 then
		level.map[y][x] = "exit"
		elseif value==3 then
		level.map[y][x] = "border"
		end
	end
end

for i, block in ipairs (level.blocks) do
	local w, h = 0, 0
	block.tiles = {}
	for y, xs in ipairs (block.form) do
		for x, value in ipairs (xs) do
			if value == 1 then
				table.insert (block.tiles, x-1) -- beware of -1
				table.insert (block.tiles, y-1)
				if w < x then w = x end
				if h < y then h = y end
			end
		end
	end
	block.w = w
	block.h = h
end

for i, agent in ipairs (level.agents) do
	local w, h = 0, 0
	agent.tiles = {}
	for y, xs in ipairs (agent.form) do
		for x, value in ipairs (xs) do
			if value == 1 then
				table.insert (agent.tiles, x-1) -- beware of -1
				table.insert (agent.tiles, y-1)
				if w < x then w = x end
				if h < y then h = y end
			end
		end
	end
	agent.w = w
	agent.h = h
	if not agent.direction then
		agent.direction = "right"
--		agent.direction = "left"
	end
end


return level
