require ("debug/texteditor")
local problemsection="movecells"

local http = require "socket.http"

function loadmilestones()
 	Slab.Initialize(args)



  --logo = http.request("https://love2d.org/style/logo.png")
  --love.filesystem.setIdentity("/savedirectory")
  --logo = love.filesystem.newFileData(logo, "logo.png")
  --logo = love.graphics.newImage(logo)
   --https://love2d.org/wiki/love.filesystem.remove
   
    love.mouse.setVisible(false) -- make default mouse invisible
   
   
end


function update_slab(dt)
	Slab.Update(dt)
	Slab.BeginWindow('MyWindow', {Title = "luaMilestones", AutoSizeWindow = false,X=750,Y=40,W=600,H=700,BgColor={1,1,1,0.9}})
	if localsection=="about" then
	Slab.Textf(about1,{Color = {0,0,0}})
	Slab.Text(url[1],{URL = url[1]})
	Slab.Textf(about2,{Color = {0,0,0}})
	Slab.Text(url[3],{URL = url[3]})
	Slab.Textf(about3,{Color = {0,0,0}})
	end
	if localsection=="currentdebug" then
		if problemsection=="movecells" then
		Slab.Textf(movecells1,{Color = {0,0,0}}) 
		elseif problemsection=="gravity" then
		Slab.Textf(gravity1,{Color = {0,0,0}}) 
		elseif problemsection=="deadlyobject" then
		Slab.Textf(deadlyobject1,{Color = {0,0,0}}) 
		elseif problemsection=="pilledobject" then
		Slab.Textf(pilledobject1,{Color = {0,0,0}}) 
		elseif problemsection=="objectcollisions" then
		Slab.Textf(objectcollision1,{Color = {0,0,0}})
		Slab.Text(url[5],{URL = url[5]})
		Slab.Image('push_blocks', {Path = "assets/interface/debug/docs/pushblocks.png",Tooltip="pushblocks",Scale=2})
		Slab.Textf(objectcollision2,{Color = {0,0,0}})
		elseif problemsection=="objectscollide" then
		Slab.Textf(objectscollide1,{Color = {0,0,0}}) 
		Slab.Text(url[5],{URL = url[5]})
		Slab.Textf(objectscollide2,{Color = {0,0,0}}) 
		elseif problemsection=="wallscollision" then
		Slab.Textf(wallscollision1,{Color = {0,0,0}}) 
		elseif problemsection=="switchplayers" then
		Slab.Textf(switchplayers1,{Color = {0,0,0}}) 
		elseif problemsection=="shadersinput" then
		Slab.Image('shader2', {Path = "/assets/interface/debug/docs/shader2.png",Tooltip="shader2",Scale=2})
		Slab.Textf(shadersinput,{Color = {0,0,0}}) 
		elseif problemsection=="keyboardinputvr" then
		Slab.Image('vrkeyboardinput', {Path = "/assets/interface/debug/docs/luasokvr.png",Tooltip="vrkeyboardinput",Scale=1})
		Slab.Textf(keyboardinputvr,{Color = {0,0,0}})
		elseif problemsection=="smoothmove" then
		Slab.Textf(smoothmove1,{Color = {0,0,0}}) 
		elseif problemsection=="gameinput" then
		Slab.Textf(gameinput1,{Color = {0,0,0}}) 
		end
			
	end
				if localsection=="credits" then
					Slab.Textf(credits1,{Color = {0,0,0}}) 
					Slab.Text(url[6],{URL = url[6]})
					Slab.Textf(credits2,{Color = {0,0,0}})
						Slab.Text(url[5],{URL = url[5]})
					Slab.Image('push_blocks', {Path = "assets/interface/debug/docs/pushblocks.png",Tooltip="pushblocks",Scale=2})
					Slab.Textf(credits3,{Color = {0,0,0}}) 
			elseif	localsection=="credits2" then
					Slab.Textf(credits4,{Color = {0,0,0}})
					Slab.Image('vrkeyboardinput', {Path = "/assets/interface/debug/docs/buildingtool.png",Tooltip="Essence-love2d",Scale=1})
			elseif	localsection=="extern" then
					Slab.Textf(extern1,{Color = {0,0,0}})
					Slab.Textf(moonshine1,{Color = {0,0,0}}) 
					Slab.Text(url[12],{URL = url[12]})
					Slab.Textf(moonshine2,{Color = {0,0,0}}) 
					Slab.Textf(shadertoy1,{Color = {0,0,0}})
					Slab.Text(url[7],{URL = url[7]})
					Slab.Textf(shadertoy2,{Color = {0,0,0}}) 
					Slab.Textf(diorama1,{Color = {0,0,0}})	
					Slab.Text(url[13],{URL = url[13]})
					Slab.Textf(slab1,{Color = {0,0,0}})
					Slab.Text(url[8],{URL = url[8]})
					Slab.Textf(slab2,{Color = {0,0,0}})
					Slab.Textf(talkies1,{Color = {0,0,0}})
					Slab.Text(url[9],{URL = url[9]})
					Slab.Textf(talkies2,{Color = {0,0,0}})
					Slab.Textf(g3d1,{Color = {0,0,0}})
					Slab.Text(url[10],{URL = url[10]})
					Slab.Textf(g3d2,{Color = {0,0,0}})
					Slab.Textf(lv1001,{Color = {0,0,0}})
					Slab.Text(url[11],{URL = url[11]})
					Slab.Textf(lv1002,{Color = {0,0,0}})

			elseif localsection=="route1" then Slab.Textf(route1,{Color = {0,0,0}})
			
			elseif localsection=="thistool" then 
				Slab.Textf(tooltext,{Color = {0,0,0}})
				Slab.Text(url[2],{URL = url[2]})
			
				
			elseif localsection=="currentdebug" then
				local SelectedButton = 1
				local Options = {"oldcode", "newcode"}

				Slab.BeginWindow('RadioButton', {Title = "Code selection",Tooltip="Code selection", AutoSizeWindow = false,X=1065,Y=800,W=90,H=90,BgColor={0.5,0.5,0.5}})
				
				for I, V in ipairs(Options) do
					if Slab.RadioButton(V, {Index = I, SelectedIndex = SelectedButton}) then
						ButtonPressed=true
						Buttonsel = I
					end
				end
				if Buttonsel==1 then
				Slab.Text("Old code selected")
				love.timer.sleep(0.1) problemdebug="2"
				Buttonsel = 0
				elseif Buttonsel==2 then
				Slab.Text("New code selected")
				love.timer.sleep(0.1) problemdebug="1"
				Buttonsel = 0
				end
	
				if Slab.Button("Open new code") then
					ButtonPressed2 = true
				end

				if ButtonPressed2 then
					tedit="yes"
					ButtonPressed2 = false
				end

				Slab.EndWindow()
				
				Slab.BeginWindow('Unsolvedproblems', {Title = "Unsolved problems", AutoSizeWindow = false,X=900,Y=800,W=160,H=150,BgColor={1,1,1,0.9}})

				items=unsolveditems
				Slab.BeginListBox('ListBoxExample')
					for I = 1, 3, 1 do
						Slab.BeginListBoxItem('ListBoxExample_Item_' .. I, {unssel = unssel == I})
						Slab.Textf(items[I],{Color = {0,0,0}})

						if Slab.IsListBoxItemClicked() then
							unssel = I
								if unssel==1 then problemsection="smoothmove"
							elseif unssel==2 then problemsection="shadersinput"
							elseif unssel==3 then problemsection="keyboardinputvr"
							end
						end
				Slab.EndListBoxItem()
					end
				Slab.EndListBox()
				Slab.EndWindow()
				
				Slab.BeginWindow('solved problems', {Title = "solved problems", AutoSizeWindow = false,X=730,Y=800,W=160,H=150,BgColor={1,1,1,0.9}})

				items=solveditems
				Slab.BeginListBox('ListBoxExample')
					for I = 1, 7, 1 do
						Slab.BeginListBoxItem('ListBoxExample_Item_' .. I, {solvsec = solvsec == I})
						Slab.Textf(items[I],{Color = {0,0,0}})

						if Slab.IsListBoxItemClicked() then
							solvsec = I
								if solvsec==1 then problemsection="objectcollisions"
							elseif solvsec==2 then problemsection="objectscollide"
							elseif solvsec==3 then problemsection="wallscollision" 
							elseif solvsec==4 then problemsection="switchplayers"
							elseif solvsec==5 then problemsection="gravity"
							elseif solvsec==6 then problemsection="deadlyobject"
							elseif solvsec==7 then problemsection="movecells"
							end
						end
				Slab.EndListBoxItem()
					end
				Slab.EndListBox()
				Slab.EndWindow()
				
			end

	Slab.EndWindow()

updatetexteditor()



	--local Selected = nil

-- About section list box

Slab.BeginWindow('Select section', {Title = "Select section", AutoSizeWindow = false,X=1220,Y=800,W=160,H=150,BgColor={1,1,1,0.9}})

items=sectionitems
Slab.BeginListBox('ListBoxExample')
for I = 1, 6, 1 do
	Slab.BeginListBoxItem('ListBoxExample_Item_' .. I, {secsel = secsel == I})
	Slab.Textf(items[I],{Color = {0,0,0}})

	if Slab.IsListBoxItemClicked() then
		secsel = I
			if secsel==1 then localsection="credits"
		elseif secsel==2 then localsection="extern"
		elseif secsel==3 then localsection="credits2"
		--elseif secsel==3 then localsection="thistool"
		elseif secsel==4 then localsection="about" 
		elseif secsel==5 then localsection="route1" 
		elseif secsel==6 then localsection="currentdebug"
		end
	end
	Slab.EndListBoxItem()
end
Slab.EndListBox()
Slab.EndWindow()

end

function milestonesdraw()

if mylivecode then
				love.graphics.setColor(0.146, 0.73, 0.73)
				love.graphics.rectangle('fill', 700, 0,700, 800) -- the live code library changes the background, this is a temporary solution till I find the reason
end
	Slab.Draw()
	         local x, y = love.mouse.getPosition() -- get the position of the mouse
			love.graphics.draw(cursor, x, y) -- draw the custom mouse image

                love.graphics.setBackgroundColor(0, 1, .75)
                love.graphics.setColor(1,1,1)
                
                

if milestones=="yes" then
			--shader1=false
			--	milestonesdraw()
				
			elseif milestones=="no" then
			--Slab.Draw()
			--love.graphics.setColor(1,1,1)
			end
			
		
	
	if msgbox==true then
	love.graphics.setColor(0.5,0.5,0.5,0.6)
	love.graphics.rectangle('fill',190,260,300,50)
	love.graphics.setColor(0,0,0)
	love.graphics.print("This feature is still under development",200,270)	
	end		
	
	if msgbox2==true then
	love.graphics.setColor(0.5,0.5,0.5,0.6)
	love.graphics.rectangle('fill',890,260,300,50)
	love.graphics.setColor(0,0,0)
	love.graphics.print("This feature is still under development",900,270)	
	end
	if vrmode==true then
	love.graphics.setColor(0.5,0.5,0.5,0.6)
	love.graphics.rectangle('fill',190,260,300,100)
	love.graphics.setColor(0,0,0)
	--love.graphics.print("This feature is still under development",200,270)		
		if vr=="found" then
			love.graphics.print("Lovr is found,:",200,270)		
			love.graphics.print("please run the bash script",200,290)		
			love.graphics.print("called runvr to start the vr game",200,310)		
		elseif vr=="notfound" then
			love.graphics.print("Lovr not found,:",200,270)		
			love.graphics.print("please run the bash script",200,290)		
			love.graphics.print("called CheckLovr or runvr",200,310)
			love.graphics.print("to start the vr game",200,330)
		end
	end	
                
end	



