
function extrasload()
	
local xspace = 150
local yspace = 50
	if language=="de" then returntext="zurück"
elseif language=="es" then returntext="Volver"
elseif language=="en" then returntext="Return"
end
love.graphics.setFont(poorfishsmall)
returntext="Return"

extrasReturnButton = {
	text = returntext,
	x = 1000,
	y = 100, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfish,
}

stopbutton = {
	text = "stop",
	x = 100,
	y = 900, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

advertising1Button = {
	text = "advertising 1",
	x = 650,
	y = 200,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

advertising2Button = {
	text = "advertising 2",
	x = 650,
	y = 200+yspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

screensaver1Button = {
	text = "Screensaver 1",
	x = 650,
	y = 200+yspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

screensaver2Button = {
	text = "Screensaver 2",
	x = 650,
	y = 200+yspace*6,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

screensaver3Button = {
	text = "Screensaver 3",
	x = 650,
	y = 200+yspace*8,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

tetrisButton = {
	text = "Tetris",
	x = 650,
	y = 200+yspace*10,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

end


function extrasupdate(dt)
		if cdplaying==true then
		equalizerupdate(dt)
		end
end


local function isButtonHovered (button)
	local font = button.font or love.graphics.getFont( )
	local width = font:getWidth(button.text)
	local height = font:getHeight( )
	local sx, sy = button.sx or 1, button.sy or button.sx or 1
	local x, y = button.x, button.y
	local w, h = width*sx, height*sy
	local mx, my = love.mouse.getPosition()
	if mx >= x and mx <= x+w
		and my >= y and my <= y+h then
		button.w, button.h = w, h
		return true
	end
	return false
end


local function drawButton (button, hovered)
	
	love.graphics.setFont( button.font )
	if hovered then
		love.graphics.setColor(button.hoveredColor)
		love.graphics.rectangle ('line', button.x, button.y, button.w, button.h)
	else
		love.graphics.setColor(button.color)
	end
	love.graphics.print(button.text,button.x,button.y,button.r,button.sx)
end



function extrasdraw(dt)
     love.graphics.setFont(poorfishsmall)
       	
	local hovered = isButtonHovered (extrasReturnButton)
	drawButton (extrasReturnButton, hovered)
	if hovered and love.mouse.isDown(1) then
		love.audio.stop()
	cdplaying=false
	if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_021.ogg","static") end
		if musicison==true then lovebpmload("/externalassets/music/cleytonKauffman/CleytonRX-Underwater.ogg") end
		love.timer.sleep( 0.3 )
		gamestatus="levelselection"
	end
	
	local hovered = isButtonHovered (stopbutton)
	drawButton (stopbutton, hovered)
	if hovered and love.mouse.isDown(1) then
	love.audio.stop()
	cdplaying=false
		TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_021.ogg","static")
		currenttrackname=""
		currenttrackdesc=""
		rate=0
		channels=0
	love.timer.sleep( 0.3 )
	end
	
		local hovered = isButtonHovered (advertising1Button)
	drawButton (advertising1Button, hovered)
	if hovered and love.mouse.isDown(1) then
	love.audio.stop()
	cdplaying=true
	if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_021.ogg","static") end
		if musicison==true then
		equalizerload("/externalassets/dialogs/extras/advertising1.ogg") end
		love.timer.sleep( 0.3 )
	end
	
	local hovered = isButtonHovered (advertising2Button)
	drawButton (advertising2Button, hovered)
	if hovered and love.mouse.isDown(1) then
	love.audio.stop()
	cdplaying=true
	if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_021.ogg","static") end
			if musicison==true and language=="en" then
		equalizerload("/externalassets/dialogs/extras/advertising2.ogg")
		elseif musicison==true and language=="fr" then
		equalizerload("/externalassets/dialogs/extras/fr/advertising2.ogg")
		end
		love.timer.sleep( 0.3 )
	end

	local hovered = isButtonHovered (screensaver1Button)
	drawButton (screensaver1Button, hovered)
	if hovered and love.mouse.isDown(1) then
		if cdplaying==true then
			love.audio.stop()
			cdplaying=false
				love.timer.sleep( 0.1 )
			else
			nLevel=101 gamestatus="game"
			changelevel()
		end
	end
	
	local hovered = isButtonHovered (screensaver2Button)
	drawButton (screensaver2Button, hovered)
	if hovered and love.mouse.isDown(1) then
		if cdplaying==true then
			love.audio.stop()
			cdplaying=false
				love.timer.sleep( 0.1 )
			else
			nLevel=102 gamestatus="game"
			changelevel()
		end
	end
	
		local hovered = isButtonHovered (screensaver3Button)
	drawButton (screensaver3Button, hovered)
	if hovered and love.mouse.isDown(1) then
		if cdplaying==true then
			love.audio.stop()
			cdplaying=false
				love.timer.sleep( 0.1 )
			else
			nLevel=103 gamestatus="game"
			changelevel()
		end
	end
	
	local hovered = isButtonHovered (tetrisButton)
	drawButton (tetrisButton, hovered)
	if hovered and love.mouse.isDown(1) then
		if cdplaying==true then
			love.audio.stop()
			cdplaying=false
				love.timer.sleep( 0.1 )
			else

			tetris=true
			tetris = require ('lib/blocks/main')			-- load level selection menu
			blocksload()
			gamestatus="game"
			
			nLevel=103
			changelevel()
		end
	end
end
