
function optionsload()

	font1 = love.graphics.newFont(12) -- standard font
	font3 = love.graphics.newFont(12*2) -- three times bigger

local xspace = 150
local yspace = 50
returntext="Return" bgt="Bulgarian" brt="Brazil" cht="Switzerland" cst="Czech" det="German" dedet="Germany" eot="Esperanto" est="Spanish" esest="Spain" eslat="Lateinamerica" frt="French" frfrt="France" frcat="Canada" ent="English" entbr="British" entus="American"itt="Italian" kot="Korean" nlt="Dutch" nlnlt="Niederland" flt="Flemish" plt="Polish" prt="Portuguese" prprt="Portugal" rut="Russian" set="Swedish" skt="Slovenian" jpt="Japanese" chit="Chinese" thait="Thai" tamilt="Tamil" hindit="Hindi" ont="on" offt="off" readdiatext="read" closediatext="close"

	if language=="bg" then 
elseif language=="br" then 
elseif language=="ch" then 
elseif language=="cs" then 
elseif language=="de" then returntext="zurück" bgt="Bulgarisch" brt="Portugiesisch (Brasilien)" cht="der Schweiz" cst="Tschechisch" det="Deutsch" dedet="Deutschland" eot="Esperanto" est="Spanisch" frt="Französisch" ent="Englisch" itt="Italienisch" nlt="Niederländisch" plt="Polisch" prt="Portugiesisch" rut="Russisch" set="Schwedisch" skt="Slowenisch" thait="thailändisch" tamilt="Tamil" hindit="Hindi"
elseif language=="eo" then 
elseif language=="es" then returntext="Volver" bgt="Bulgaro" brt="Portugés (Brasil)" cht="Alemán (Suiza)" cst="Checo" det="Alemán" eot="Esperanto" est="Español" frt="Francés" ent="Inglés" itt="Italiano" nlt="Holandés" plt="Polaco" prt="Portugés" rut="Ruso" set="Sueco" skt="Esloveno" thait="Tailandés" tamilt="Tamil" ont="on" offt="off" readdiatext="leer" closediatext="cerrar"
elseif language=="fr" then 
elseif language=="en" then 
elseif language=="it" then 
elseif language=="nl" then 
elseif language=="pl" then 
elseif language=="pr" then 
elseif language=="ru" then 
elseif language=="sv" then 
elseif language=="sk" then
elseif language=="jp" then returntext="帰ります" bgt="ブルガリア語" brt="ポルトガル語 (ブラジル)" cht="ドイツ語 (スイス)" cst="チェコ" det="ドイツ語" eot="エスペラント" est="スペイン語" frt="フランス語" ent="英語" entbr="英国の" entus="アメ" itt="イタリア語" nlt="オランダ語" plt="ポーランド語" prt="ポルトガル語" rut="ロシア語" set="スウェーデン語" skt="スロベニア" jpt="日本語" chit="中国語" thait="タイ語" tamilt="タミル語" hindit="ヒンディー語" ont="オン" offt="オフ"
elseif language=="chi" then returntext="回传" bgt="Bulgarian" brt="葡萄牙语 （巴西" cht="德语（瑞士" cst="Czech" det="德语" eot="世界语" est="Spanish" frt="法语" ent="英语" entbr="英国的" entus="American"itt="意大利语" nlt="荷兰语" plt="Polish" prt="Portuguese" rut="Russian" set="Swedish" skt="斯洛文尼亚语" jpt="日语" chit="Chinese" thait="泰国" tamilt="泰米尔语" hindit="印地语" ont="开" offt="关" readdiatext="看" closediatext="关闭"


elseif language=="ko" then returntext="반품" bgt="불가리아 사람" brt="브라질 사람" cht="스위스" cst="체코 사람" det="독일 사람" eot="에스페란토 말" est="스페인의" frt="프랑스 국민" ent="영어" entbr="영국" entus="미국 사람" itt="이탈리아 사람" nlt="네덜란드 사람" plt="광택" prt="포르투갈 인" rut="러시아인" set="스웨덴어" skt="슬로베니아" jpt="일본어" chit="중국인" thait="태국어" tamilt="타밀 사람" hindit="힌디 어" ont="켜기" offt="끄기"

elseif language=="thai" then returntext="กลับ" bgt="บัลแกเรีย" brt="โปรตุเกส (บราซิล)" cht="เยอรมัน (สวิตเซอร์แลนด์)" cst="เช็ก" det="เยอรมัน" eot="ภาษาเอสเปรันโต" est="สเปน" frt="ภาษาฝรั่งเศส" ent="ภาษาอังกฤษ" entbr="อังกฤษ" entus="อเมริกัน" itt="ภาษาอิตาลี" nlt="ดัตช์" plt="ขัด" prt="โปรตุเกส" rut="รัสเซีย" set="ภาษาสวีเดน" skt="สโลวีเนีย" jpt="ญี่ปุ่น" chit="ชาวจีน" thait="แบบไทย" tamilt="ทมิฬ" hindit="ภาษาฮินดี" ont="บน" offt="ปิด"
elseif language=="tamil" then returntext="திரும்ப" bgt="பல்கேரிய" brt="போர்த்துகீசியம் (பிரேசில்)" cht="ஜெர்மன் (சுவிட்சர்லாந்து)" cst="செக்" det="ஜெர்மன்" eot="எஸ்பெராண்டோ" est="ஸ்பானிஷ்" frt="பிரெஞ்ச" ent="ஆங்கிலம்" entbr="பிரிட்டிஷ்" entus="அமெரிக்கன்" itt="இத்தாலிய" nlt="டச்ச" plt="போலிஷ்" prt="போர்த்துகீசியம்" rut="ரஷ்யன்" set="ஸ்வீடிஷ்" skt="ஸ்லோவேனியன்" jpt="ஜப்பானியர்" chit="சீன" thait="தாய்" tamilt="தமிழ்" hindit="ஹிந்தி" ont="ஆன் " offt="ஆஃப்"
elseif language=="hindi" then returntext="वापस करना" bgt="बल्गेरियाई" brt="पुर्तगाली (ब्राजील)" cht="जर्मन (स्विट्जरलैंड)" cst="चेक" det="जर्मन" eot="एस्पेरांत" est="स्पैनिश" frt="फ्रेंच" ent="अंग्रेज़ी" entbr="अंग्रेजों" entus="अमेरिकन" itt="इतालव" nlt="डच" plt="पोलिश" prt="पुर्तगाली" rut="रूसी" set="स्वीडिश" skt="स्लोवेनियाई" jpt="जापानी" chit="चीनी" thait="थाई" tamilt="तामिल" hindit="हिन्द" ont="पर" offt="बंद" 

else returntext="Volver" bgt="Bulgarian" brt="Portuguese (Brazil)" cht="German (Switzerland)" cst="Czech" det="German" eot="Esperanto" est="Spanish" frt="French" ent="English" itt="Italian" nlt="Dutch" plt="Polish" prt="Portuguese" rut="Russian" set="Swedish" skt="Slovenian"

end

optionsReturnButton = {
	text = returntext,
	x = 1000,
	y = 100, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
--	font = love.graphics.newFont( 12*3, hinting, dpiscale ),
}


bgButton = {
	text = bgt,
	x = 300,
	y = 200+yspace*2, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

brButton = {
	text = brt,
	x = 300 +xspace*3,
	y = 200 +yspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

chButton = {
	text = cht,
	x = 300 +xspace*3,
	y = 200 +yspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}


csButton = {
	text = cst,
	x = 300+xspace*1,
	y = 200+yspace*2, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

deButton = {
	text = det,
	x = 300,
	y = 200+yspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

dedeButton = {
	text = dedet,
	x = 300+xspace*3,
	y = 200+yspace*2, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}


enButton = {
	text = ent,
	x = 300,
	y = 200+yspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

enbrButton = {
	text = entbr,
	x = 300 +xspace*3,
	y = 200 +yspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

enusButton = {
	text = entus,
	x = 300 +xspace*3,
	y = 200 +yspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

eoButton = {
	text = eot,
	x = 300+xspace,
	y = 200+yspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

esButton = {
	text = est,
	x = 300+xspace,
	y = 200+yspace*6,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}
esesButton = {
	text = esest,
	x = 300 +xspace*3,
	y = 200 +yspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}
eslaButton = {
	text = eslat,
	x = 300 +xspace*3,
	y = 200 +yspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

frButton = {
	text = frt,
	x = 300+xspace*2,
	y = 200+yspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

frfrButton = {
	text = frfrt,
	x = 300+xspace*3,
	y = 200+yspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

frcaButton = {
	text = frcat,
	x = 300+xspace*3,
	y = 200+yspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

itButton = {
	text = itt,
	x = 300+xspace,
	y = 200+yspace*4, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

nlButton = {
	text = nlt,
	x = 300+xspace*2,
	y = 200+yspace*2, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

nlnlButton = {
	text = nlnlt,
	x = 300 +xspace*3,
	y = 200 +yspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

flButton = {
	text = flt,
	x = 300 +xspace*3,
	y = 200 +yspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

plButton = {
	text = plt,
	x = 300+xspace*2,
	y = 200+yspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

prButton = {
	text = prt,
	x = 300,
	y = 200+yspace*5,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

prprButton = {
	text = prprt,
	x = 300 +xspace*3,
	y = 200 +yspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

ruButton = {
	text = rut,
	x = 300+xspace,
	y = 200+yspace*5,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

seButton = {
	text = set,
	x = 300,
	y = 200+yspace*6,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

skButton = {
	text = skt,
	x = 300+xspace*2,
	y = 200+yspace*5,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

jpButton = {
	text = jpt,
	x = 300+xspace*4,
	y = 200+yspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

chiButton = {
	text = chit,
	x = 300+xspace*4,
	y = 200+yspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}
thaiButton = {
	text = thait,
	x = 300+xspace*4,
	y = 200+yspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}
koreanButton = {
	text = kot,
	x = 300+xspace*4,
	y = 200+yspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}
tamilButton = {
	text = tamilt,
	x = 300+xspace*5,
	y = 200+yspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}
hindiButton = {
	text = hindit,
	x = 300+xspace*5,
	y = 200+yspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}


crtonButton = {
	text = ont,
	x = 300,
	y = 200+yspace*8,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

crtoffButton = {
	text = offt,
	x = 350,
	y = 200+yspace*8,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

causticsonButton = {
	text = ont,
	x = 300,
	y = 200+yspace*9,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

causticsoffButton = {
	text = offt,
	x = 350,
	y = 200+yspace*9,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

dialogsonButton = {
	text = ont,
	x = 300,
	y = 200+yspace*10,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

dialogsoffButton = {
	text = offt,
	x = 350,
	y = 200+yspace*10,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

cscheme1Button = {
	text = "1",
	x = 300,
	y = 200+yspace*11,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

cscheme2Button = {
	text = "2",
	x = 325,
	y = 200+yspace*11,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

cscheme3Button = {
	text = "3",
	x = 350,
	y = 200+yspace*11,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

cscheme4Button = {
	text = "4",
	x = 375,
	y = 200+yspace*11,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

cscheme5Button = {
	text = "5",
	x = 400,
	y = 200+yspace*11,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

cscheme6Button = {
	text = "6",
	x = 425,
	y = 200+yspace*11,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

cscheme7Button = {
	text = "7",
	x = 450,
	y = 200+yspace*11,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

threedonButton = {
	text = ont,
	x = 300,
	y = 200+yspace*12,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

threedoffButton = {
	text = offt,
	x = 350,
	y = 200+yspace*12,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

touchonButton = {
	text = ont,
	x = 300,
	y = 200+yspace*13,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

touchoffButton = {
	text = offt,
	x = 350,
	y = 200+yspace*13,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

resol1kButton = {
	text = "1080p",
	x = 300,
	y = 200+yspace*14,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

resol4kButton = {
	text = "4k",
	x = 400,
	y = 200+yspace*14,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

resol8kButton = {
	text = "8k",
	x = 500,
	y = 200+yspace*14,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

fullscreenyesButton = {
	text = "Yes",
	x = 300,
	y = 200+yspace*15,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

fullscreennoButton = {
	text = "No",
	x = 400,
	y = 200+yspace*15,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}


soundonButton = {
	text = ont,
	x = 600,
	y = 200-yspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

soundoffButton = {
	text = offt,
	x = 650,
	y = 200-yspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

musiconButton = {
	text = ont,
	x = 600,
	y = 200-yspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

musicoffButton = {
	text = offt,
	x = 650,
	y = 200-yspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

AaronButton = {
	text = "Aaron Relf",
	x = 1450,
	y = 250,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

ishVAButton = {
	text = "ishVA",
	x = 1450,
	y = 250+yspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

JohnButton = {
	text = "John Combs",
	x = 1450,
	y = 250,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

snoozyButton = {
	text = "Snoozy",
	x = 1450,
	y = 250+yspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}

zeroSkyButton = {
	text = "ZeroSky",
	x = 1450,
	y = 250+yspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = font3,
}


end


function optionssupdate(dt)
	
end


local function isButtonHovered (button)
	local font = button.font or love.graphics.getFont( )
	local width = font:getWidth(button.text)
	local height = font:getHeight( )
	local sx, sy = button.sx or 1, button.sy or button.sx or 1
	local x, y = button.x, button.y
	local w, h = width*sx, height*sy
	local mx, my = love.mouse.getPosition()
	if mx >= x and mx <= x+w
		and my >= y and my <= y+h then
		button.w, button.h = w, h
		return true
	end
	return false
end


local function drawButton (button, hovered)
	
		love.graphics.setFont( button.font )
		
	if hovered then
		love.graphics.setColor(button.hoveredColor)
		love.graphics.rectangle ('line', button.x, button.y, button.w+30, button.h+10)
	else
		love.graphics.setColor(button.color)
	end
	love.graphics.print(button.text,button.x,button.y,button.r,button.sx)
end



function optionsdraw(dt)
     --love.graphics.setFont(poorfishsmall)
    
    if language=="es" then
    love.graphics.print ("Sonido: ", 100,soundonButton.y)
	love.graphics.print ("Música: ", 100,musiconButton.y)
    love.graphics.print ("Idioma: ", 100,250)
    love.graphics.print ("Efecto CRT: ", 100,crtonButton.y)
    love.graphics.print ("Efecto cáustico: ", 100,causticsonButton.y)
    love.graphics.print ("Diálogos: ", 100,dialogsonButton.y)
    love.graphics.print ("Esquema de color: ", 100,cscheme1Button.y)
    love.graphics.print ("3D: ", 100,threedonButton.y)
    love.graphics.print ("Control táctil: ", 100,touchonButton.y)
    love.graphics.print ("Resolución: ", 100,resol1kButton.y)
    love.graphics.print ("Fullscreen: ", 100,fullscreenyesButton.y)
    love.graphics.print ("Acento: ", 750,250)
    elseif language=="pr" then
    love.graphics.print ("Accent: ", 750,250)
     elseif language=="de" then
	love.graphics.print ("Ton: ", 100,soundonButton.y)
	love.graphics.print ("Musik: ", 100,musiconButton.y)
    love.graphics.print ("Sprache: ", 100,250)
    love.graphics.print ("CRT-effekt: ", 100,crtonButton.y)
    love.graphics.print ("Ätzwirkung: ", 100,causticsonButton.y)
    love.graphics.print ("Dialoge: ", 100,dialogsonButton.y)
    love.graphics.print ("Farbschema: ", 100,cscheme1Button.y)
    love.graphics.print ("3D: ", 100,threedonButton.y)
    love.graphics.print ("Berührungssteuerung: ", 100,touchonButton.y)
    love.graphics.print ("Accent: ", 750,250)
    elseif language=="nl" then
    love.graphics.print ("Sound: ", 100,soundonButton.y)
	love.graphics.print ("Music: ", 100,musiconButton.y)
    love.graphics.print ("language: ", 100,250)
    love.graphics.print ("CRT effect: ", 100,crtonButton.y)
    love.graphics.print ("Caustics effect: ", 100,causticsonButton.y)
    love.graphics.print ("Dialogs: ", 100,dialogsonButton.y)
    love.graphics.print ("Color scheme: ", 100,cscheme1Button.y)
    love.graphics.print ("3D: ", 100,threedonButton.y)
    love.graphics.print ("Touch controls: ", 100,touchonButton.y)
    love.graphics.print ("Accent: ", 750,250)
	elseif language=="ru" then
	love.graphics.print ("Звук: ", 100,soundonButton.y)
	love.graphics.print ("Музыка: ", 100,musiconButton.y)
    love.graphics.print ("язык: ", 100,250)
    love.graphics.print ("CRT-effekt: ", 100,crtonButton.y)
    love.graphics.print ("Ätzwirkung: ", 100,causticsonButton.y)
    love.graphics.print ("Dialoge: ", 100,dialogsonButton.y)
    love.graphics.print ("Farbschema: ", 100,cscheme1Button.y)
    love.graphics.print ("3D: ", 100,threedonButton.y)
    love.graphics.print ("Berührungssteuerung: ", 100,touchonButton.y)
    elseif language=="jp" then
    love.graphics.print ("音: ", 100,soundonButton.y)
	love.graphics.print ("音楽: ", 100,musiconButton.y)
    love.graphics.print ("言語: ", 100,250)
    love.graphics.print ("CRT 効果: ", 100,crtonButton.y)
    love.graphics.print ("コースティクス効果 : ", 100,causticsonButton.y)
    love.graphics.print ("ディアロゴス: ", 100,dialogsonButton.y)
    love.graphics.print ("配色: ", 100,cscheme1Button.y)
    love.graphics.print ("3D: ", 100,threedonButton.y)
    love.graphics.print ("タッチコントロール: ", 100,touchonButton.y)
    elseif language=="chi" then
     love.graphics.print ("声声: ", 100,soundonButton.y)
	love.graphics.print ("音乐: ", 100,musiconButton.y)
    love.graphics.print ("语: ", 100,250)
    love.graphics.print ("显像管效应: ", 100,crtonButton.y)
    love.graphics.print ("焦散效应: ", 100,causticsonButton.y)
    love.graphics.print ("对话 框: ", 100,dialogsonButton.y)
    love.graphics.print ("配色方案: ", 100,cscheme1Button.y)
    love.graphics.print ("三维: ", 100,threedonButton.y)
    love.graphics.print ("触摸控制: ", 100,touchonButton.y)
    elseif language=="thai" then
    love.graphics.print ("เสียง: ", 100,soundonButton.y)
	love.graphics.print ("ดนตรี: ", 100,musiconButton.y)
    love.graphics.print ("ภาษา: ", 100,250)
    love.graphics.print ("เอฟเฟกต์ CRT: ", 100,crtonButton.y)
    love.graphics.print ("โซดาไฟผล: ", 100,causticsonButton.y)
    love.graphics.print ("ไดอะล็อก: ", 100,dialogsonButton.y)
    love.graphics.print ("โทนสี: ", 100,cscheme1Button.y)
    love.graphics.print ("3D: ", 100,threedonButton.y)
    love.graphics.print ("ระบบควบคุมแบบสัมผัส: ", 100,touchonButton.y)
	elseif language=="ko" then
	    love.graphics.print ("소리: ", 100,soundonButton.y)
	love.graphics.print ("음악: ", 100,musiconButton.y)
    love.graphics.print ("언어: ", 100,250)
    love.graphics.print ("crt 효과: ", 100,crtonButton.y)
    love.graphics.print ("부식성 효과: ", 100,causticsonButton.y)
    love.graphics.print ("대화: ", 100,dialogsonButton.y)
    love.graphics.print ("색 구성표: ", 100,cscheme1Button.y)
    love.graphics.print ("3D: ", 100,threedonButton.y)
    love.graphics.print ("터치 컨트롤: ", 100,touchonButton.y)
    love.graphics.print ("악센트: ", 750,250)
    elseif language=="tamil" then
    love.graphics.print ("ஒல: ", 100,soundonButton.y)
	love.graphics.print ("ஒல: ", 100,musiconButton.y)
    love.graphics.print ("மொழி: ", 100,250)
    love.graphics.print ("CRT விளைவ: ", 100,crtonButton.y)
    love.graphics.print ("காஸ்டிக்ஸ் விளைவு: ", 100,causticsonButton.y)
    love.graphics.print ("உரையாடல்கள்: ", 100,dialogsonButton.y)
    love.graphics.print ("வண்ண திட்டம்: ", 100,cscheme1Button.y)
    love.graphics.print ("3டி: ", 100,threedonButton.y)
    love.graphics.print ("தொடு கட்டுப்பாடுகள்: ", 100,touchonButton.y)
    elseif language=="hindi" then
    love.graphics.print ("ध्वनि: ", 100,soundonButton.y)
	love.graphics.print ("संगीत: ", 100,musiconButton.y)
    love.graphics.print ("भाषा: हिन्द: ", 100,250)
    love.graphics.print ("सीआरटी प्रभाव: ", 100,crtonButton.y)
    love.graphics.print ("कास्टिक प्रभाव: ", 100,causticsonButton.y)
    love.graphics.print ("संवाद: ", 100,dialogsonButton.y)
    love.graphics.print ("रंग योजना: ", 100,cscheme1Button.y)
    love.graphics.print ("3डी: ", 100,threedonButton.y)
    love.graphics.print ("स्पर्श नियंत्रण: ", 100,touchonButton.y)
    else
	love.graphics.print ("Sound: ", 100,soundonButton.y)
	love.graphics.print ("Music: ", 100,musiconButton.y)
    love.graphics.print ("language: ", 100,250)
    if language=="en" then
    love.graphics.print ("Accent: ", 750,250)
    end
    love.graphics.print ("CRT effect: ", 100,crtonButton.y)
    love.graphics.print ("Caustics effect: ", 100,causticsonButton.y)
    love.graphics.print ("Dialogs: ", 100,dialogsonButton.y)
    love.graphics.print ("Color scheme: ", 100,cscheme1Button.y)
    love.graphics.print ("3D: ", 100,threedonButton.y)
    love.graphics.print ("Touch controls: ", 100,touchonButton.y)
    love.graphics.print ("Resolution: ", 100,resol1kButton.y)
    love.graphics.print ("Fullscreen: ", 100,fullscreenyesButton.y)
    end
    love.graphics.print ("Actor 1: ", 1250,250)
    love.graphics.print ("Actor 2: ", 1250,300)
    
    			if res=="1080p" then love.graphics.rectangle("line",resol1kButton.x-5,resol1kButton.y-5,100, 30)	
			elseif res=="4k" then love.graphics.rectangle("line",resol4kButton.x-5,resol4kButton.y-5,100, 30)	
			elseif res=="8k" then love.graphics.rectangle("line",resol8kButton.x-5,resol8kButton.y-5,100, 30)	
			end
			
				if fullscreen==true then love.graphics.rectangle("line",fullscreenyesButton.x-5,fullscreenyesButton.y-5,100, 30)	
			elseif fullscreen==false then love.graphics.rectangle("line",fullscreennoButton.x-5,fullscreennoButton.y-5,100, 30)
			end
			
    
		if language=="bg" then love.graphics.rectangle("line",bgButton.x-5,bgButton.y-5,100, 30) 
	elseif language=="br" then love.graphics.rectangle("line",brButton.x-5,brButton.y-5,100, 30) 
	elseif language=="ch" then love.graphics.rectangle("line",chButton.x-5,chButton.y-5,100, 30)

	elseif language=="de" then love.graphics.rectangle("line",deButton.x-5,deButton.y-5,100, 30)
			if accent=="ch" then love.graphics.rectangle("line",chButton.x-5,chButton.y-5,100, 30) 
		elseif accent=="de" then love.graphics.rectangle("line",dedeButton.x-5,dedeButton.y-5,100, 30) 
		end
	elseif language=="en" then love.graphics.rectangle("line",enButton.x-5,enButton.y-5,100, 30) 
		if accent=="br" then love.graphics.rectangle("line",enbrButton.x-5,enbrButton.y-5,100, 30)
			--Aaron
			local hovered = isButtonHovered (AaronButton)
			drawButton (AaronButton, hovered)
			if hovered and love.mouse.isDown(1) then 
				love.timer.sleep( 0.3 )
					accent="us"
			end
		elseif accent=="us" then love.graphics.rectangle("line",enusButton.x-5,enusButton.y-5,100, 30)
					--John
			local hovered = isButtonHovered (JohnButton)
			drawButton (JohnButton, hovered)
			if hovered and love.mouse.isDown(1) then 
				love.timer.sleep( 0.3 )
					accent="br"
			end
		end

			
	
	elseif language=="eo" then love.graphics.rectangle("line",eoButton.x-5,eoButton.y-5,100, 30)
	elseif language=="es" then love.graphics.rectangle("line",esButton.x-5,esButton.y-5,100, 30)
		if accent=="es" then love.graphics.rectangle("line",esesButton.x-5,esesButton.y-5,100, 30) 
		elseif accent=="la" then love.graphics.rectangle("line",eslaButton.x-5,eslaButton.y-5,100, 30) 
		end
	elseif language=="fr" then love.graphics.rectangle("line",frButton.x-5,frButton.y-5,100, 30)
			if accent=="fr" then love.graphics.rectangle("line",frfrButton.x-5,esesButton.y-5,100, 30) 
		elseif accent=="ca" then love.graphics.rectangle("line",frcaButton.x-5,eslaButton.y-5,100, 30) 
		end
	elseif language=="it" then love.graphics.rectangle("line",itButton.x-5,itButton.y-5,100, 30)
	elseif language=="nl" then love.graphics.rectangle("line",nlButton.x-5,nlButton.y-5,100, 30)
		if accent=="nl" then love.graphics.rectangle("line",nlnlButton.x-5,nlnlButton.y-5,100, 30) 
		elseif accent=="fl" then love.graphics.rectangle("line",flButton.x-5,flButton.y-5,100, 30) 
		end
	
    elseif language=="pr" then love.graphics.rectangle("line",prButton.x-5,prButton.y-5,100, 30)
    	if accent=="pr" then love.graphics.rectangle("line",prprButton.x-5,enbrButton.y-5,100, 30) 
		elseif accent=="br" then love.graphics.rectangle("line",brButton.x-5,enusButton.y-5,100, 30) 
		end
	elseif language=="ru" then love.graphics.rectangle("line",ruButton.x-5,ruButton.y-5,100, 30)
	elseif language=="sv" then love.graphics.rectangle("line",seButton.x-5,seButton.y-5,100, 30)
	elseif language=="sk" then love.graphics.rectangle("line",skButton.x-5,skButton.y-5,100, 30)
    end
    
    if language2=="en" then
		if accent2=="br" then love.graphics.rectangle("line",enbrButton.x-5,enbrButton.y-5,100, 30)
				--isVA
			local hovered = isButtonHovered (ishVAButton)
			drawButton (ishVAButton, hovered)
			if hovered and love.mouse.isDown(1) then 
				love.timer.sleep( 0.3 )
					accent2="us"
			end
		elseif accent2=="us" then love.graphics.rectangle("line",enusButton.x-5,enusButton.y-5,100, 30)	
				--Snoozy
			local hovered = isButtonHovered (snoozyButton)
			drawButton (snoozyButton, hovered)
			if hovered and love.mouse.isDown(1) then 
				love.timer.sleep( 0.3 )
					accent2="br"
			end
		end
	elseif language2=="pl" then love.graphics.rectangle("line",plButton.x-5,plButton.y-5,100, 30)
	elseif language2=="cs" then love.graphics.rectangle("line",csButton.x-5,csButton.y-5,100, 30)
	end
    
    
		if shader1==true  then love.graphics.rectangle("line",crtonButton.x-5,crtonButton.y-5,50, 30) 
    elseif shader1==false then love.graphics.rectangle("line",crtoffButton.x-5,crtoffButton.y-5,50, 30)
    end
		if caustics==true  then love.graphics.rectangle("line",causticsonButton.x-5,causticsonButton.y-5,50, 30) 
    elseif caustics==false then love.graphics.rectangle("line",causticsoffButton.x-5,causticsoffButton.y-5,50, 30)
    end
		if talkies==true  then love.graphics.rectangle("line",dialogsonButton.x-5,dialogsonButton.y-5,50, 30)
    elseif talkies==false then love.graphics.rectangle("line",dialogsoffButton.x-5,dialogsoffButton.y-5,50, 30)
    end
    
		if palette==1 then love.graphics.rectangle("line",cscheme1Button.x-5,cscheme1Button.y-5,20, 30)
    elseif palette==2 then love.graphics.rectangle("line",cscheme2Button.x-5,cscheme2Button.y-5,20, 30)
    elseif palette==3 then love.graphics.rectangle("line",cscheme3Button.x-5,cscheme3Button.y-5,20, 30)
    elseif palette==4 then love.graphics.rectangle("line",cscheme4Button.x-5,cscheme4Button.y-5,20, 30)
    elseif palette==5 then love.graphics.rectangle("line",cscheme5Button.x-5,cscheme5Button.y-5,20, 30)
    elseif palette==6 then love.graphics.rectangle("line",cscheme6Button.x-5,cscheme6Button.y-5,20, 30)
    elseif palette==7 then love.graphics.rectangle("line",cscheme7Button.x-5,cscheme7Button.y-5,20, 30)
    end
    
		if threeD==true then love.graphics.rectangle("line",threedonButton.x-5,threedonButton.y-5,50, 30)
    elseif threeD==false then love.graphics.rectangle("line",threedoffButton.x-5,threedoffButton.y-5,50, 30)
    end
    
		if touchinterfaceison==true  then love.graphics.rectangle("line",touchonButton.x-5,touchonButton.y-5,50, 30)
    elseif touchinterfaceison==false then love.graphics.rectangle("line",touchoffButton.x-5,touchoffButton.y-5,50, 30)
    end
	 
		if soundon==true  then love.graphics.rectangle("line",soundonButton.x-5,soundonButton.y-5,50, 30)
    elseif soundon==false then love.graphics.rectangle("line",soundoffButton.x-5,soundoffButton.y-5,50, 30)
    end
    
	 	if musicison==true  then love.graphics.rectangle("line",musiconButton.x-5,musiconButton.y-5,50, 30)
    elseif musicison==false then love.graphics.rectangle("line",musicoffButton.x-5,musicoffButton.y-5,50, 30)
    end
    	
	local hovered = isButtonHovered (optionsReturnButton)
	drawButton (optionsReturnButton, hovered)
	if hovered and love.mouse.isDown(1) then
	--if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_021.ogg","static") end
		--if musicison==true then lovebpmload("/externalassets/music/cleytonKauffman/CleytonRX-Underwater.ogg") end
		love.timer.sleep( 0.3 )
		levelload()
		gamestatus="levelselection"
	end
	
	local hovered = isButtonHovered (crtonButton)
	drawButton (crtonButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	shader1=true
	end
	
	local hovered = isButtonHovered (crtoffButton)
	drawButton (crtoffButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	shader1=false
	end
	
	local hovered = isButtonHovered (causticsonButton)
	drawButton (causticsonButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	caustics=true
	end
	
	local hovered = isButtonHovered (causticsoffButton)
	drawButton (causticsoffButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	caustics=false
	end
	
	local hovered = isButtonHovered (dialogsonButton)
	drawButton (dialogsonButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	talkies=true
	end
	
	local hovered = isButtonHovered (dialogsoffButton)
	drawButton (dialogsoffButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	talkies=false
	end
	
	local hovered = isButtonHovered (cscheme1Button)
	drawButton (cscheme1Button, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	palette=1
	end
	
	local hovered = isButtonHovered (cscheme2Button)
	drawButton (cscheme2Button, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	palette=2
	end
	
	local hovered = isButtonHovered (cscheme3Button)
	drawButton (cscheme3Button, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	palette=3
	end
	
	local hovered = isButtonHovered (cscheme4Button)
	drawButton (cscheme4Button, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	palette=4
	end
	
	local hovered = isButtonHovered (cscheme5Button)
	drawButton (cscheme5Button, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	palette=5
	end
	
	local hovered = isButtonHovered (cscheme6Button)
	drawButton (cscheme6Button, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	palette=6
	end
	
	local hovered = isButtonHovered (cscheme7Button)
	drawButton (cscheme7Button, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	palette=7
	end
	
	local hovered = isButtonHovered (threedonButton)
	drawButton (threedonButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	threeD=true
	end
	
	local hovered = isButtonHovered (threedoffButton)
	drawButton (threedoffButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	threeD=false
	end
	
	local hovered = isButtonHovered (touchonButton)
	drawButton (touchonButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	   touchinterfaceison=true
	end
	
	local hovered = isButtonHovered (touchoffButton)
	drawButton (touchoffButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			love.timer.sleep( 0.3 )
			touchinterfaceison=false
		end
		
		
	
	local hovered = isButtonHovered (resol1kButton)
	drawButton (resol1kButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			res="1080p"
			changeresolution()	love.timer.sleep( 0.5 )
		end
	
	local hovered = isButtonHovered (resol4kButton)
	drawButton (resol4kButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			res="4k"
			changeresolution()	love.timer.sleep( 0.5 )
		end
	
	local hovered = isButtonHovered (resol8kButton)
	drawButton (resol8kButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			res="8k"
			changeresolution()	love.timer.sleep( 0.5 )
		end
		
	local hovered = isButtonHovered (fullscreenyesButton)
	drawButton (fullscreenyesButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			love.timer.sleep( 0.3 )
				if res=="1080p" then dividx=1 dividy=1 		love.window.setMode(1920, 1080, {resizable=false, borderless=true})
			elseif res=="4k" then dividx=0.468 dividy=0.468 love.window.setMode(3840, 2160, {resizable=false, borderless=true})
			elseif res=="8k" then dividx=0.234 dividy=0.234 love.window.setMode(7680, 4320, {resizable=false, borderless=true})
			end

			love.timer.sleep( 1 )
		end
		
	local hovered = isButtonHovered (fullscreennoButton)
	drawButton (fullscreennoButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			love.timer.sleep( 0.3 )
					if res=="1080p" then dividx=1 dividy=1 	love.window.setMode(1920, 1080, {resizable=true, borderless=false})
			elseif res=="4k" then dividx=0.468 dividy=0.468 love.window.setMode(3840, 2160, {resizable=true, borderless=false})
			elseif res=="8k" then dividx=0.234 dividy=0.234 love.window.setMode(7680, 4320, {resizable=true, borderless=false})
			end
			love.timer.sleep( 1 )
		end
	
	local hovered = isButtonHovered (soundonButton)
	drawButton (soundonButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	soundon=true
	end
	
	local hovered = isButtonHovered (soundoffButton)
	drawButton (soundoffButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	soundon=false
	end
	
	local hovered = isButtonHovered (musiconButton)
	drawButton (musiconButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	musicison=true   
	end
	
	local hovered = isButtonHovered (musicoffButton)
	drawButton (musicoffButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	musicison=false   
	end
	
	local hovered = isButtonHovered (bgButton)
	drawButton (bgButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="bg" languagehaschanged=true
	optionsload()
	end
	
	if language=="de" then
			local hovered = isButtonHovered (chButton)
			drawButton (chButton, hovered)
			if hovered and love.mouse.isDown(1) then 
				love.timer.sleep( 0.3 )
				language="de" accent="ch" language2="de" accent2="ch" languagehaschanged=true
				require("assets/text/levelmenu/level-de")
				optionsload()
			end
		local hovered = isButtonHovered (dedeButton)
		drawButton (dedeButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			love.timer.sleep( 0.3 )
			language="de" accent="de" language2="de" accent2="de" languagehaschanged=true
			require("assets/text/levelmenu/level-de")
			optionsload()
		end
	end
	
	local hovered = isButtonHovered (csButton)
	drawButton (csButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="en" language2="cs" languagehaschanged=true			-- temporarily the missing audios will be filled with British English audios
	optionsload()
	end
	
	local hovered = isButtonHovered (frButton)
	drawButton (frButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	--language="fr" accent="fr" language2="fr" accent2="fr" languagehaschanged=true
	language="fr" accent="fr" language2="en" accent2="br" languagehaschanged=true		-- temporarily the missing audios will be filled with British English audios
	optionsload()
	end
	if language=="cs" then love.graphics.print ("kat-leroy: ", 1450,300) end
	
	if language=="fr" then
	local hovered = isButtonHovered (frfrButton)
	drawButton (frfrButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="fr" accent="fr" language2="fr" accent2="fr" languagehaschanged=true
	--require("assets/text/levelmenu/level-fr")
	optionsload()
	end
	
	
	local hovered = isButtonHovered (frcaButton)
	drawButton (frcaButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="fr" accent="ca" language2="fr" accent2="ca"
	--require("assets/text/levelmenu/level-fr")
	optionsload()
	end
	if language=="fr" then love.graphics.print ("Labyrinthus: ", 1450,250) end
	end
	
	local hovered = isButtonHovered (enButton)
	drawButton (enButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="en" language2="en" accent="br" accent2="br" languagehaschanged=true
	require("assets/text/levelmenu/level-en")
	optionsload()
	end
	
	if language=="en" then
	local hovered = isButtonHovered (enbrButton)
	drawButton (enbrButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="en" accent="br" language2="en" accent2="br" languagehaschanged=true
	require("assets/text/levelmenu/level-en")
	optionsload()
	end
	
	
	local hovered = isButtonHovered (enusButton)
	drawButton (enusButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="en" accent="us" language2="en" accent2="us" languagehaschanged=true
	require("assets/text/levelmenu/level-en")
	optionsload()
	end
	end
	
	local hovered = isButtonHovered (eoButton)
	drawButton (eoButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="eo" languagehaschanged=true
	optionsload()
	end
	
	local hovered = isButtonHovered (esButton)
	drawButton (esButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="es" accent="la" language2="es" accent2="la" languagehaschanged=true
	require("assets/text/levelmenu/level-es")
	optionsload()
	end
	
		if accent=="la" then love.graphics.print ("Bastián Villaroel", 1450,250) end
		if accent2=="la" then love.graphics.print ("ZeroSky", 1450,300) end
	
	if language=="es" then
		local hovered = isButtonHovered (esesButton)
		drawButton (esesButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			love.timer.sleep( 0.3 )
			language="es" accent="es" language2="es" accent2="es" languagehaschanged=true
			require("assets/text/levelmenu/level-es")
			optionsload()
		end
	
		local hovered = isButtonHovered (eslaButton)
		drawButton (eslaButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			love.timer.sleep( 0.3 )
			language="es" accent="la" language2="es" accent2="la" languagehaschanged=true
			require("assets/text/levelmenu/level-es")
			optionsload()
		end
		if accent2=="la" then love.graphics.print ("ZeroSky: ", 1450,300) end
	end
	
	local hovered = isButtonHovered (deButton)
	drawButton (deButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="de" accent="de" language2="de" accent2="de" languagehaschanged=true
		require("assets/text/levelmenu/level-de")
	optionsload()
	end
	
	local hovered = isButtonHovered (itButton)
	drawButton (itButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="it" languagehaschanged=true
	optionsload()
	end
	
	local hovered = isButtonHovered (nlButton)
	drawButton (nlButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="nl" accent="nl" language2="nl" accent2="nl" languagehaschanged=true
	optionsload()
	end
	
		if language=="nl" then
		local hovered = isButtonHovered (nlnlButton)
		drawButton (nlnlButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			love.timer.sleep( 0.3 )
			language="nl" accent="nl" language2="nl" accent2="nl" languagehaschanged=true
			require("assets/text/levelmenu/level-nl")
			optionsload()
		end
	
		local hovered = isButtonHovered (flButton)
		drawButton (flButton, hovered)
		if hovered and love.mouse.isDown(1) then 
			love.timer.sleep( 0.3 )
			language="nl" accent="fl" language2="nl" accent2="fl" languagehaschanged=true
			require("assets/text/levelmenu/level-nl")
			optionsload()
		end

	end
	
	local hovered = isButtonHovered (plButton)
	drawButton (plButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	--language="pl" languagehaschanged=true
	language="en" accent="br" language2="pl" languagehaschanged=true			-- temporarily the missing audios will be filled with British English audios
	optionsload()
	end
	
	if language2=="pl" then love.graphics.print ("Nelakori: ", 1450,300) end
	
	local hovered = isButtonHovered (prButton)
	drawButton (prButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="pr" accent="pr" languagehaschanged=true	
	optionsload()
	end

	if language=="pr" then
	
	local hovered = isButtonHovered (prprButton)
	drawButton (prprButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="pr" accent="pr" language2="pr" accent2="pr" 
	optionsload()
	end
	
	local hovered = isButtonHovered (brButton)
	drawButton (brButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="pr" accent="br" language2="pr" accent2="br"
	optionsload()
	end
	end
	
	local hovered = isButtonHovered (ruButton)
	drawButton (ruButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="ru" languagehaschanged=true
	require("assets/text/levelmenu/level-ru")
	poorfishmiddle = love.graphics.newFont("externalassets/fonts/alanesiana/AlanesianaRegular.ttf", 64)
	poorfishsmall = love.graphics.newFont("externalassets/fonts/alanesiana/AlanesianaRegular.ttf", 32)
	optionsload()
	end
	
	local hovered = isButtonHovered (seButton)
	drawButton (seButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="sv" languagehaschanged=true
	optionsload()
	end
	
	local hovered = isButtonHovered (skButton)
	drawButton (skButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="sk" 
	optionsload()
	end
	
	local hovered = isButtonHovered (jpButton)
	drawButton (jpButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="jp"
	require("assets/text/levelmenu/level-jp")
	poorfishmiddle = love.graphics.newFont("externalassets/fonts/MT_Tare/MT_TARE.ttf", 64)
	poorfishsmall = love.graphics.newFont("externalassets/fonts/MT_Tare/MT_TARE.ttf", 24)
	optionsload()
	end
	
	local hovered = isButtonHovered (chiButton)
	drawButton (chiButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="chi"	languagehaschanged=true
	require("assets/text/levelmenu/level-chi")
	poorfishmiddle = love.graphics.newFont("externalassets/fonts/BabelStoneHan/BabelStoneHan.ttf", 64)
	poorfishsmall = love.graphics.newFont("externalassets/fonts/BabelStoneHan/BabelStoneHan.ttf", 24)
	poorfish = love.graphics.newFont("externalassets/fonts/BabelStoneHan/BabelStoneHan.ttf", 84)
	require "game/interface/touchinterface1" --require touch interface
	optionsload()
	loadtouchtext()
	end
	
	local hovered = isButtonHovered (thaiButton)
	drawButton (thaiButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="thai"
	require("assets/text/levelmenu/level-thai")
	poorfishmiddle = love.graphics.newFont("externalassets/fonts/thsarabun-new/THSarabunNew001.ttf", 64)
	poorfishsmall = love.graphics.newFont("externalassets/fonts/thsarabun-new/THSarabunNew001.ttf", 24)
	optionsload()
	end
	
	local hovered = isButtonHovered (koreanButton)
	drawButton (koreanButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="ko"
	require("assets/text/levelmenu/level-thai")
	poorfishmiddle = love.graphics.newFont("externalassets/fonts/singleday-regular/18938.ttf", 64)
	poorfishsmall = love.graphics.newFont("externalassets/fonts/singleday-regular/18938.ttf", 24)
	optionsload()
	end
	
	local hovered = isButtonHovered (tamilButton)
	drawButton (tamilButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="tamil"
	require("assets/text/levelmenu/level-tamil")
	poorfishmiddle = love.graphics.newFont("externalassets/fonts/neythal/neythal-regular.ttf", 64)
	poorfishsmall = love.graphics.newFont("externalassets/fonts/neythal/neythal-regular.ttf", 24)
	optionsload()
	end
	
	local hovered = isButtonHovered (hindiButton)
	drawButton (hindiButton, hovered)
	if hovered and love.mouse.isDown(1) then 
	love.timer.sleep( 0.3 )
	language="hindi"
	require("assets/text/levelmenu/level-hindi")
	poorfishmiddle = love.graphics.newFont("externalassets/fonts/marathi/Marathi_Tirkas.ttf", 64)
	poorfishsmall = love.graphics.newFont("externalassets/fonts/marathi/Marathi_Tirkas.ttf", 24)
	optionsload()
	end

end
